diff --git a/beyond-pkging.dbk b/beyond-pkging.dbk
index 5051bef..bead81e 100644
--- a/beyond-pkging.dbk
+++ b/beyond-pkging.dbk
@@ -386,7 +386,7 @@ to learn them?
 <para>
 It's also a good idea to know where they stand with respect to Debian: do
 they agree with Debian's philosophy and do they intend to join Debian?
-Given how easy it is to become a Debian Maintainer, you might want
+Given how easy it is to become a Debian Member, you might want
 to only sponsor people who plan to join. That way you know from the start
 that you won't have to act as a sponsor indefinitely.
 </para>
diff --git a/new-maintainer.dbk b/new-maintainer.dbk
index 50392a1..6228dc5 100644
--- a/new-maintainer.dbk
+++ b/new-maintainer.dbk
@@ -4,7 +4,7 @@
   <!ENTITY % commondata SYSTEM "common.ent" > %commondata;
 ]>
 <chapter id="new-maintainer">
-<title>Applying to Become a Maintainer</title>
+<title>Applying to Become a Member</title>
 <section id="getting-started">
 <title>Getting started</title>
 <para>
@@ -75,7 +75,7 @@ that list and an experienced developer will volunteer to help.
 </para>
 <para>
 In addition, if you have some packages ready for inclusion in Debian, but are
-waiting for your new maintainer application to go through, you might be able
+waiting for your new member application to go through, you might be able
 find a sponsor to upload your package for you.  Sponsors are people who are
 official Debian Developers, and who are willing to criticize and upload your
 packages for you. Please read the debian-mentors FAQ at <ulink
@@ -88,28 +88,28 @@ If you wish to be a mentor and/or sponsor, more information is available in
 </section>
 
 <section id="registering">
-<title>Registering as a Debian developer</title>
+<title>Registering as a Debian member</title>
 <para>
 Before you decide to register with &debian-formal;, you will
 need to read all the information available at the <ulink
 url="&url-newmaint;">New Members Corner</ulink>.  It
 describes in detail the preparations you have to do before you can register to
-become a Debian developer.  For example, before you apply, you have to read the
+become a Debian member.  For example, before you apply, you have to read the
 <ulink url="&url-social-contract;">Debian Social
-Contract</ulink>.  Registering as a developer means that you agree with and
+Contract</ulink>.  Registering as a member means that you agree with and
 pledge to uphold the Debian Social Contract; it is very important that
-maintainers are in accord with the essential ideas behind
+member are in accord with the essential ideas behind
 &debian-formal;.  Reading the <ulink
 url="&url-gnu-manifesto;">GNU Manifesto</ulink> would also be
 a good idea.
 </para>
 <para>
-The process of registering as a developer is a process of verifying your
+The process of registering as a member is a process of verifying your
 identity and intentions, and checking your technical skills.  As the number of
 people working on &debian-formal; has grown to over
 &number-of-maintainers; and our systems are used in several
 very important places, we have to be careful about being compromised.
-Therefore, we need to verify new maintainers before we can give them accounts
+Therefore, we need to verify new members before we can give them accounts
 on our servers and let them upload packages.
 </para>
 <para>
@@ -193,7 +193,7 @@ cryptography even for authentication is forbidden then please contact us so we
 can make special arrangements.
 </para>
 <para>
-To apply as a new maintainer, you need an existing Debian Developer to support
+To apply as a new member, you need an existing Debian Developer to support
 your application (an <literal>advocate</literal>).  After you have
 contributed to Debian for a while, and you want to apply to become a registered
 developer, an existing developer with whom you have worked over the past months
@@ -206,14 +206,14 @@ register on our <ulink url="&url-newmaint-apply;">application
 page</ulink>.  After you have signed up, your advocate has to confirm your
 application.  When your advocate has completed this step you will be assigned
 an Application Manager who will go with you through the necessary steps of the
-New Maintainer process.  You can always check your status on the <ulink
+New Member process.  You can always check your status on the <ulink
 url="&url-newmaint-db;">applications status board</ulink>.
 </para>
 <para>
 For more details, please consult <ulink
 url="&url-newmaint;">New Members Corner</ulink> at the
 Debian web site.  Make sure that you are familiar with the necessary steps of
-the New Maintainer process before actually applying.  If you are well prepared,
+the New Member process before actually applying.  If you are well prepared,
 you can save a lot of time later on.
 </para>
 </section>
diff --git a/resources.dbk b/resources.dbk
index 20f514f..a9598c3 100644
--- a/resources.dbk
+++ b/resources.dbk
@@ -4,11 +4,11 @@
   <!ENTITY % commondata SYSTEM "common.ent" > %commondata;
 ]>
 <chapter id="resources">
-<title>Resources for Debian Developers and Debian Maintainers</title>
+<title>Resources for Debian Members</title>
 <para>
 In this chapter you will find a very brief roadmap of the Debian mailing
-lists, the Debian machines which may be available to you as a developer, and
-all the other resources that are available to help you in your maintainer work.
+lists, the Debian machines which may be available to you as a member, and
+all the other resources that are available to help you in your work.
 </para>
 <section id="mailing-lists">
 <title>Mailing lists</title>
@@ -1064,9 +1064,9 @@ example by filing bugs or when possible fixing the reference.
 </section>
 
 <section id="developer-misc">
-<title>Goodies for Debian Developers and Debian Maintainers</title>
+<title>Goodies for Debian Members</title>
 <para>
-Benefits available to Debian Developers and Debian Maintainers are documented on <ulink
+Benefits available to Debian Members are documented on <ulink
 	url="https://wiki.debian.org/MemberBenefits"></ulink>.
 </para>
 </section>
diff --git a/scope.dbk b/scope.dbk
index 6f320f7..71a36e4 100644
--- a/scope.dbk
+++ b/scope.dbk
@@ -11,7 +11,7 @@ procedures and the available resources for Debian developers.
 </para>
 <!-- FIXME: rewrites -->
 <para>
-The procedures discussed within include how to become a maintainer (<xref
+The procedures discussed within include how to become a member (<xref
 linkend="new-maintainer"/>); how to create new packages (<xref
 linkend="newpackage"/>) and how to upload packages (<xref linkend="upload"/>);
 how to handle bug reports (<xref linkend="bug-handling"/>); how to move,
